コンテンツにスキップ

モニター作成

POST
/api/v1/monitors

新しいモニターを作成する。write スコープが必要。 プランのモニター数上限・最小チェック間隔制限あり。

object
type
required
string
Allowed values: http tcp ping heartbeat webchange ssl domain
name
required
string
>= 1 characters <= 100 characters
config
required

Type-specific monitor configuration

object
intervalSeconds
integer
default: 300 >= 60 <= 86400

モニター作成成功

object
monitor
object
id
string
teamId
string
type
string
Allowed values: http tcp ping heartbeat webchange ssl domain
name
string
config

Type-specific configuration

object
intervalSeconds
integer
>= 60 <= 86400
status
string
Allowed values: up down degraded unknown paused
isActive
integer
Allowed values: 0 1
lastCheckedAt
string | null format: date-time
createdAt
string format: date-time
updatedAt
string format: date-time

バリデーションエラー / 無効な config

object
error
object
code
string
Example
VALIDATION_ERROR
message
string
Example
Invalid request body
status
integer
Example
400

未認証

object
error
object
code
string
Example
VALIDATION_ERROR
message
string
Example
Invalid request body
status
integer
Example
400

プラン上限到達

object
error
object
code
string
Example
VALIDATION_ERROR
message
string
Example
Invalid request body
status
integer
Example
400

Write スコープ不足

object
error
object
code
string
Example
VALIDATION_ERROR
message
string
Example
Invalid request body
status
integer
Example
400